#include <stdio.h>

#include "elements.h"
 
int main(int argc, char *argv[])
{		
	ELEM *elist;
	FILE *fr;
	char str[MAX];	
	int nlist = 0;
	
	elist = NULL;
	
	if (argc != 2) {
		printf("Invalid number of arguments!\n");
		return 1;
	}
	
	if ((fr = fopen(argv[1], "r")) == NULL) {
		printf("Cannot open a file named \"%s\"!\n", argv[1]); 
		return 1;
	}
	
	while (getstr(str, fr, MAX) != NULL) 
	 	if (!find(str, elist)) {
			elist = addnode(elist, str);	
			nlist++;
		}
		
	printf("%d element%c\n\n", nlist,
				nlist > 1 ? 's' : ' ');
	
	print(elist);
	elist = sortlist(elist);	
	print(elist);	
	
	freelist(elist);
	
	fclose(fr);
	
	return 0;
}
